;***************************************************************************
;* A P P L I C A T I O N   N O T E   F O R   T H E   A V R   F A M I L Y
;* 
;* Number		: AVR test
;* File Name            :"T25time.asm"
;* Title                :Tiny25 timer
;* Date                 :24.12.2008
;* Version              :1.0
;* Support forum        :www.skif.biz/index.php?name=Forums&file=viewtopic&t=3078&pagenum=1
;* Support fax          :
;* Target MCU           :tiny25
;*
;* DESCRIPTION
;*    0 AtTiny25/45/85  
;*   
;*
;* The timing is adapted for 8Mhz internal clok
;* 
;*Fuses
;*  OSCCAL        = 90
;*  CKDIV         = 1   8MHZ     =0  1MHZ
;*  CKOUT         = 1            =0  PB3 out
;*  SUT           = 0
;*  CKSEL         = 2
;*  RSTDISBL      = 1
;*  DWEN          = 1
;*  WDTON         = 1
;*  EESAVE        = 1
;*  BODLEVEL      = 7
;*  SELFPRGEN     = 1
;*
;*
;*
;***************************************************************************
;.device tiny25

.include "tn25def.inc"

.def      tm	=R16

.cseg
.org 0  	rjmp	reset			;   


.org 16


reset:	cli                       ; all interrapt dis
                clr       tm		  ;  ,  	

                ldi       tm, 0x90         ;   
		out       osccal, tm       ;set generator

       
    	            ldi       r16, 0b00010111  ;    
		out       ddrb, r16        ; set port B0,1,2,4 out, 


timer0: 
		
		ldi       tm, 0xf0			; set 30mks			
		out       ocr0a, tm
		ldi       tm, 0x28			; set 5mks
		out       ocr0b, tm
		ldi	     tm, 0b01100011  	; set fast PWM  OCRb- output 	
		out       tccr0a, tm		; 
		ldi       tm, 0b00001001	; set Fcl   Fast PWM
		out       tccr0b, tm		;  


		sei					;  					
		ldi       tm, 0b00100000        ;set sleep enable
		out       mcucr, tm		;  
		sleep 				;  
		 
		

        
		  
